
/*
 *  PWD.H
 *
 *  (C) Copyright 1989-1990 by Matthew Dillon,  All Rights Reserved.
 */

struct passwd {
    char    *pw_name;
    char    *pw_passwd;
    long    pw_uid;
    long    pw_gid;
    long    pw_quota;
    char    *pw_comment;
    char    *pw_gecos;
    char    *pw_dir;
    char    *pw_shell;
    char    *pw_shell_arg0;	/*  arg0 broken out from pw_shell   */
    char    *pw_shell_argn;	/*  remaining args from pw_shell    */
};

extern struct passwd *getpwuid();
extern struct passwd *getpwnam();

extern char *PasswdFile;

