/* modem.h

   This file defines all the routines that specific to the modem.

   Copyright 1988 by William Loftus.  All rights reserved.

*/

/* When in SLAVE mode the this routine should poll the modem for
   a CONNECT message (at least on Hayes's) */
void openline();

/* Machines may dial in at different baud rates that are reported by the
   modem.  This routine uncovers what the baud rate incomming rate is
   and returns it as an int */
int  get_baud();

/* This routine is called when the UUCICO program starts up */
void modem_init();

/* this routine takes a number as a parameter and sends the appropriate
   commands to the modem to dial that number */
int dial_nbr(char *);

/* This routine is called at the end of a call.  It should reset the modem
   to the appropriate state (i.e. ready to receive another call) */
void reset_modem();

