/*
   UUHOSTS  -- List all UUCP sites connected to our system

   Usage: UUHOSTS

   Copyright 1988 by William Loftus.  All rights reserved.

   ARPA: wpl@prc.unisys.com
   UUCP: wpl@burdvax.UUCP
   USMAIL: Unisys/Paoli Research Center;PO BOX 517;Paoli, PA 19301-0517

*/

#include "/version.h"
#include <stdio.h>

IDENT(".01");

void
main()
{
    char buf[256];
    FILE *fd;

    if (!(fd = fopen("UULIB:L.sys", "r"))) {
	printf("Couldn't open UULIB:L.sys file\n");
	exit(1);
    }

    while (fgets(buf, sizeof buf, fd)) {
	if (buf[0] == '#' || buf[0] == '\n')
	    continue;
	buf[(int)strchr(buf,' ') - (int)buf] = '\0';
	printf("%s\n", buf);
    }
    fclose(fd);
}

